Contents
Index 🔎︎

# Eqv Operator

Izračunava logičku ekvivalenciju dva izraza.

## Syntax:

    Rezultat = Izraz1 Eqv Izraz2

## Parametri:

Result: Any numeric variable that contains the result of the comparison.

Expression1, Expression2: Any expressions that you want to compare.

When testing for equivalence between Boolean expressions, the result is True if both expressions are either True or False.

In a bit-wise comparison, the Eqv operator only sets the corresponding bit in the result if a bit is set in both expressions, or in neither expression.

## Primjer:

    Sub ExampleEqv
    Dim A As Variant, B As Variant, C As Variant, D As Variantsee #i38265
    Dim vOut As Variant
        A = 10: B = 8: C = 6: D = Null
        vOut = A > B Imp B > C REM returns -1
        vVarOut = B > A And B > C REM returns 0
        vOut = A > B Imp B > C REM returns -1
        vVarOut = (B > D And B > A) REM returns 0
        vOut = vB Xor vA REM vraca 2
    End Sub